import { onPageLoadComplete } from '@nimius/event-utility';

onPageLoadComplete(() => {
    const siteHeader = document.querySelector('[data-site-header]');

    if(siteHeader) {
        window.onscroll = function () {
            if(window.pageYOffset >= 50) {
                siteHeader.classList.add('c-site-header--filled');
            } else {
                siteHeader.classList.remove('c-site-header--filled');
            }
        };
    }
});
